## simutrans-pak128.britain 1.07

=== debian/changelog ===
simutrans-pak128.britain (1.07-1) unstable; urgency=low

  * New upstream release.
    + Update debian/build.
  * Install demo.sve.
  * Add debian/watch.
  * Use source format 3.0 (quilt).
  * Bump Standards-Version to 3.8.4 (no changes).
  * debian/control: Add Vcs-* fields.
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 26 Feb 2010 16:42:22 +0900

simutrans-pak128.britain (1.06-1) unstable; urgency=low

  * Initial release. (Closes: #539835)

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 02 Jan 2010 23:58:21 +0900
