=== debian/control ===
Source: simutrans-pak128.britain
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@43-1.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: simutrans-makeobj (>= 102.2)
Standards-Version: 3.8.4
Homepage: http://www.simutrans.com/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/simutrans-pak128.britain/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-games/packages/trunk/simutrans-pak128.britain/
DM-Upload-Allowed: yes

Package: simutrans-pak128.britain
Architecture: all
Depends: ${misc:Depends}
Recommends: simutrans
Enhances: simutrans
Description: transportation simulator (data files)
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the pak128.Britain data set which includes
 British vehicles and buildings.
