=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	sh debian/build

override_dh_clean:
	dh_clean
	[ ! -d build ] || $(RM) -r build

# revision to use when building .orig.tar.gz
SVNREV  = 262
VERSION = 1.07
SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans

get-orig-source:
	svn export -r $(SVNREV) $(SVNROOT)/pak128.Britain simutrans-pak128.britain-$(VERSION)
	find simutrans-pak128.britain-$(VERSION) -name "*.pak" -delete
	tar c simutrans-pak128.britain-$(VERSION) | gzip -9 >simutrans-pak128.britain_$(VERSION).orig.tar.gz
	$(RM) -r simutrans-pak128.britain-$(VERSION)
