## simutrans-pak128.britain 1.08

=== debian/changelog ===
simutrans-pak128.britain (1.08-2ubuntu1) precise; urgency=low

  * Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
    after Ubuntu 12.04 LTS.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Oct 2011 13:38:15 +0100

simutrans-pak128.britain (1.08-2) unstable; urgency=low

  * Use XZ compression for the binary package.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 11 Aug 2011 13:03:04 +0200

simutrans-pak128.britain (1.08-1) unstable; urgency=low

  * New upstream release.
    + Update debian/build and debian/copyright.
  * debian/rules: Update get-orig-source target for 1.08.
  * debian/build: Use mkdir -p instead of testing for non-existance first.
  * debian/control: Remove DM-Upload-Allowed.
  * Bump Standards-Version to 3.9.1 (no changes).
  * Update my email address.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 27 Nov 2010 11:52:40 +0100
