=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: simutrans-pak128.britain
 Section: games
 Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@43-1.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Ansgar Burchardt <ansgar@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: simutrans-makeobj (>= 102.2)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.simutrans.com/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/simutrans-pak128.britain/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-games/packages/trunk/simutrans-pak128.britain/
-DM-Upload-Allowed: yes
 
 Package: simutrans-pak128.britain
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}
 Recommends: simutrans
 Enhances: simutrans
