## simutrans-pak128.britain 1.09

=== debian/changelog ===
simutrans-pak128.britain (1.09-1) unstable; urgency=low

  * New upstream release.
  * Update debian/rules.
  * Add README.source (from simutrans-pak64).
  * Bump Standards-Version to 3.9.2 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 12 Nov 2011 11:28:59 +0100
