=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: simutrans-pak128.britain
 Section: games
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: simutrans-makeobj (>= 102.2)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.simutrans.com/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/simutrans-pak128.britain/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-games/packages/trunk/simutrans-pak128.britain/
 
 Package: simutrans-pak128.britain
 Architecture: all
+Depends: ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6)
-Depends: ${misc:Depends}
 Recommends: simutrans
 Enhances: simutrans
 Description: transportation simulator (data files)
