=== debian/rules ===
#! /usr/bin/make -f

# revision to use when building .orig.tar.gz
SVNREV  = 609
VERSION = 1.09
SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
UPSTREAM_SVNREV = 607:609 # see README.source

STAGING := $(CURDIR)/debian/simutrans-pak128.britain

%:
	dh $@

override_dh_auto_build:
	$(MAKE) SVNREV=$(UPSTREAM_SVNREV) all

override_dh_install:
	dh_install
	rmdir --ignore-fail-on-non-empty $(STAGING)/usr/share/games/simutrans/pak128.Britain/text/citylists

override_dh_builddeb:
	dh_builddeb -- -Zxz

get-orig-source:
	svn export -r $(SVNREV) $(SVNROOT)/pak128.Britain simutrans-pak128.britain-$(VERSION)
	find simutrans-pak128.britain-$(VERSION) -name "*.pak" -print -delete
	tar vc simutrans-pak128.britain-$(VERSION) | xz >simutrans-pak128.britain_$(VERSION).orig.tar.xz
	$(RM) -r simutrans-pak128.britain-$(VERSION)
