=== debian/watch ===
version=3
opts="uversionmangle=s/-/./;s/-//g" http://sf.net/simutrans/pak128\.?[bB]ritain_([0-9.-]+)(?:_.*)?\.zip
