=== debian/changelog ===
simutrans-pak128.britain (1.16-2) unstable; urgency=medium

  * debian/control:
    - Correct Vcs-*.
    - Bump makeobj version to >= 120.1.1+repack-2.
  * debian/patches/0500-build.patch:
    - Change makobj path from /usr/games to /usr/lib/simutrans.
    - Rename to 0001-build.patch

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 18 Nov 2015 11:13:57 +0100

simutrans-pak128.britain (1.16-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
  * debian/control:
    - Add myself as uploader.
    - Remove uploader Ansgar Burchardt.
    - Bump Standards-Version to 3.9.6 (No changes required).
    - Change debhelper version to >= 9.
    - Change simutrans-makeobj version to >= 120.1.
    - Change Vcs to git.
    - Remove Pre-Depends dpkg.
  * Change debian/compat to 9.
  * debian/rules:
    - Change SVNREV and VERSION for new upstream release.
    - Remove useless UPSTREAM_SVNREV.
    - Remove override_dh_builddeb because compression xz is now standard.
  * debian/copyright:
    - Add myself to debian/*.
    - Rewrite for new upstream release.
  * Rewrite debian/patches/build.patch and rename to 0500-build.patch.
  * debian/source/options:
    - Removed because xz is now standard compression.
  * New debian/patches/0100-filenames.patch to correct UTF-8 filenames.
  * Rewrite debian/watch.
  * Add .gitignore.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 16 Nov 2015 09:44:32 +0100
