## simutrans-pak128.britain 1.17

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 #
 #
-MAKEOBJ ?= ./makeobj
+MAKEOBJ ?= makeobj
 
 DESTDIR  ?= simutrans
 PAKDIR   ?= $(DESTDIR)/pak128.Britain
@@ -59,6 +59,8 @@
 TR_DIRS += narrowgauge
 DIRS128 += pedestrians
 TR_DIRS += pedestrians
+DIRS128 += signals
+TR_DIRS += signals
 DIRS128 += smokes
 TR_DIRS += smokes
 DIRS128 += stations
