=== debian/changelog ===
simutrans-pak128.britain (1.17-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
  * Refresh patches.
  * Add year 2016 to debian/copyright.
  * debian/watch: Bump version to 4 (no changes required).
  * debian/control:
    - Change Build-Depends-Indep to the new debian release
      of simutrans-makeobj (120.1.3).
    - Bump Standards-Version to 3.9.7 (no changes required).
    - Change Vcs-Git from git:// to https://.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 09 Feb 2016 20:59:16 +0100
