=== debian/rules ===
#! /usr/bin/make -f

# revision to use when building .orig.tar.gz
SVNREV  = 1830
VERSION = 1.17
SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans

STAGING := $(CURDIR)/debian/simutrans-pak128.britain

%:
	dh $@

override_dh_auto_build:
	$(MAKE) SVNREV=$(SVNREV) all

override_dh_install:
	dh_install
	rmdir --ignore-fail-on-non-empty $(STAGING)/usr/share/games/simutrans/pak128.Britain/text/citylists

get-orig-source:
	svn export -r $(SVNREV) $(SVNROOT)/pak128.Britain ../simutrans-pak128.britain-$(VERSION)
	find ../simutrans-pak128.britain-$(VERSION) -name "*.pak" -print -delete
	cd ../simutrans-pak128.britain-$(VERSION) && \
	tar -caf "../simutrans-pak128.britain_$(VERSION).orig.tar.xz" *
	$(RM) -r ..\simutrans-pak128.britain-$(VERSION)
