=== debian/changelog ===
simutrans-pak128.britain (1.18-2) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.5.0.
  * Switch to debhelper-compat = 13.
  * Tighten B-D on simutrans-makeobj.
  * Fix FTBFS and path to makeobj binary. (Closes: #963367)

 -- Markus Koschany <apo@debian.org>  Sun, 28 Jun 2020 00:20:06 +0200

simutrans-pak128.britain (1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.18.
  * Switch to compat level 12
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.
  * Use https for Format field.
  * Tighten dependency on makeobj.

 -- Markus Koschany <apo@debian.org>  Wed, 13 Feb 2019 00:25:15 +0100
