=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: simutrans-pak128.britain
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends:
- debhelper (>= 9)
+ debhelper-compat (= 13)
 Build-Depends-Indep:
- simutrans-makeobj (>= 120.1.3)
-Standards-Version: 3.9.7
+ simutrans-makeobj (>= 121.0)
+Standards-Version: 4.5.0
 Homepage: http://www.simutrans.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/simutrans-pak128.britain.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans-pak128.britain.git
+Vcs-Git: https://salsa.debian.org/games-team/simutrans-pak128.britain.git
+Vcs-Browser: https://salsa.debian.org/games-team/simutrans-pak128.britain
 
 Package: simutrans-pak128.britain
 Architecture: all
