=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #! /usr/bin/make -f
 
 # revision to use when building .orig.tar.gz
-SVNREV  = 1830
-VERSION = 1.17
-SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
+SVNREV  = 1991
+VERSION = 1.18
+SVNROOT = https://svn.code.sf.net/p/simutrans/code
 
 STAGING := $(CURDIR)/debian/simutrans-pak128.britain
