=== debian/watch ===
# pak128.Britain.1.13-112-0.zip
version=4
opts="uversionmangle=s/-/./;s/-//g" http://sf.net/simutrans/pak128\.?[bB]ritain\.([0-9]\.[0-9]+).*\.zip
